Subject: Re: bug#62072: 29.0.60; tree-sitter interferes with Custom

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Mar 2023 17:40:02 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 09 Mar 2023 21:29:50 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I already tried with ruby: I renamed the grammar library to another
> > name, but I don't see any warnings.  That's why I asked.
> 
> That's odd... are you sure you don't have another Ruby library somewhere
> else?

Yes, because "M-x ruby-ts-mode RET" does complain aboiut the missing
library.

> >> but IIRC I also saw another errors on builds without tree-sitter at all.
> >
> > That's a different situation, I think (I do see that in a build
> > without tree-sitter).
> 
> Well, both have to be fixed.

No, not necessarily.